# eric3.UI.TaskPropertiesDialog

Module implementing the task properties dialog.

### Classes

TaskPropertiesDialog | Class implementing the task properties dialog.

### Functions

None

## TaskPropertiesDialog

Class implementing the task properties dialog.

### Derived from

TaskPropertiesForm

### Methods

TaskPropertiesDialog | Constructor
getData | Public method to retrieve the dialogs data.
setReadOnly | Public slot to set the dialog to read only mode.

### TaskPropertiesDialog (Constructor)

TaskPropertiesDialog(task = None, parent = None, projectOpen = 0)

Constructor

task
  the task object to be shown
parent
  the parent widget (QWidget)
projectOpen
  flag indicating status of the project (boolean)

### TaskPropertiesDialog.getData

getData()

Public method to retrieve the dialogs data.

Returns:
  tuple of description, priority, completion flag and project flag

### TaskPropertiesDialog.setReadOnly

setReadOnly()

Public slot to set the dialog to read only mode.

Up